feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Fractional

# Documentation

data FRACTIONAL a where

Constructors

DivFrac :: (Type a, Fractional a) => FRACTIONAL (a :-> (a :-> Full a)) |

Instances

EvalBind FRACTIONAL |
Semantic FRACTIONAL |
Eval FRACTIONAL |
Render FRACTIONAL |
ToTree FRACTIONAL |
Equality FRACTIONAL |
Sharable FRACTIONAL |
AlphaEq dom dom dom env => AlphaEq FRACTIONAL FRACTIONAL dom env |
SizeProp (:|| FRACTIONAL Type) |
(:<: (:|| FRACTIONAL Type) dom, :<: (:|| NUM Type) dom, OptimizeSuper dom) => Optimize (:|| FRACTIONAL Type) dom |